it-swarm.com.ru

Как включить расширение MySQLi в php 7?

Я установил PHP 7, MySQL 5.5.47 в Ubuntu 14.04 . Я проверил установленное расширение, используя:

Sudo apt-cache search php7-*

Свой вывод мне:

php7.0-common - Common files for packages built from the PHP source
libapache2-mod-php7.0 - server-side, HTML-embedded scripting language (Apache 2 module)
php7.0-cgi - server-side, HTML-embedded scripting language (CGI binary)
php7.0-cli - command-line interpreter for the PHP scripting language
php7.0-phpdbg - server-side, HTML-embedded scripting language (PHPDBG binary)
php7.0-fpm - server-side, HTML-embedded scripting language (FPM-CGI binary)
libphp7.0-embed - HTML-embedded scripting language (Embedded SAPI library)
php7.0-dev - Files for PHP7.0 module development
php7.0-dbg - Debug symbols for PHP7.0
php7.0-curl - CURL module for PHP
php7.0-enchant - Enchant module for PHP
php7.0-Gd - Gd module for PHP
php7.0-gmp - GMP module for PHP
php7.0-imap - IMAP module for PHP
php7.0-interbase - Interbase module for PHP
php7.0-intl - Internationalisation module for PHP
php7.0-ldap - LDAP module for PHP
php7.0-mcrypt - libmcrypt module for PHP
php7.0-readline - readline module for PHP
php7.0-odbc - ODBC module for PHP
php7.0-pgsql - PostgreSQL module for PHP
php7.0-pspell - pspell module for PHP
php7.0-recode - recode module for PHP
php7.0-snmp - SNMP module for PHP
php7.0-tidy - tidy module for PHP
php7.0-xmlrpc - XMLRPC-EPI module for PHP
php7.0-xsl - XSL module for PHP
php7.0 - server-side, HTML-embedded scripting language (metapackage)
php7.0-json - JSON module for PHP
php-all-dev - package depending on all supported PHP development packages
php7.0-sybase - Sybase module for PHP
php7.0-sqlite3 - SQLite3 module for PHP
php7.0-mysql - MySQL module for PHP
php7.0-opcache - Zend OpCache module for PHP
php7.0-bz2 - bzip2 module for PHP

Я не могу увидеть расширение MySQLi с помощью phpinfo (), пожалуйста, дайте мне знать, как я могу включить/установить расширение MySQLi в PHP 7 .... Поэтому я не могу использовать phpmyadmin, он говорит: Расширение mysqli отсутствует. "

Примечание: я новичок в php7.

46
Mohd Sayeed

Я получил решение, я могу включить расширение MySQLi в php.ini, просто раскомментировал эту строку в php.ini 

extension=php_mysqli.dll

Теперь MySQLi работает хорошо. Вот путь к файлу php.ini в среде Apache2, PHP 7, Ubuntu 14.04:

/etc/php/7.0/Apache2/php.ini

По умолчанию расширение MySQLi отключено в PHP 7. 

27
Mohd Sayeed

Проблема в том, что пакет, который использовался для подключения PHP к MYSQL, устарел (php5-mysql). Если вы устанавливаете новый пакет:

Sudo apt-get install php-mysql

Это автоматически обновит Apache и php7.

Ура!

90
Xeno

В Ubuntu нужно раскомментировать эту строку в php.ini, которая находится по адресу /etc/php/7.0/Apache2/php.ini.

расширение = php_mysqli.so

12
Atul Pandya
Sudo phpenmod mysqli
Sudo service Apache2 restart

  • phpenmod moduleName позволяет модулю php7 (после этого перезапустите Apache Sudo service Apache2 restart)
  • phpdismod moduleName отключает модуль для php7 (после этого перезапустите Apache Sudo service Apache2 restart)
  • php -m перечисляет загруженные модули
9
Pipo

Давайте использовать 

mysqli_connect

вместо 

mysql_connect 

потому что mysql_connect не поддерживается в php7.

0
Kratos.vn